Qt API | Qtopia API | Qtopia Documentation |

# DateBookIterator Class Reference
[qpepim module]

The DateBookIterator class provides iterators of DateBookAccess. More...

`#include <qtopia/pim/datebookaccess.h>`

List of all member functions.

## Public Members

- DateBookIterator ( const DateBookAccess & aba )
- DateBookIterator ( const DateBookIterator & it )
- DateBookIterator & operator= ( const DateBookIterator & other )
- ~DateBookIterator ()
- bool atFirst () const
- bool atLast () const
- const PimEvent * toFirst ()
- const PimEvent * toLast ()
- const PimEvent * operator++ ()
- const PimEvent * operator* () const
- const PimEvent * current () const

## Detailed Description

The DateBookIterator class provides iterators of DateBookAccess.

The only way to traverse the data of an DateBookAccess is with an DateBookIterator.

See also QPEPIM Library.

## Member Function Documentation

### DateBookIterator::DateBookIterator ( const DateBookAccess & aba )

Constructs a new DateBookIterator pointing to the start of the data in aba.

### DateBookIterator::DateBookIterator ( const DateBookIterator & it )

Constructs a copy of the iterator it.

### DateBookIterator::~DateBookIterator ()

Destroys the iterator

### bool DateBookIterator::atFirst () const

Returns TRUE if the iterator is at the first item of the data. Otherwise returns FALSE.

### bool DateBookIterator::atLast () const

Returns TRUE if the iterator is at the last item of the data. Otherwise returns FALSE.

### const PimEvent * DateBookIterator::current () const

If the iterator is at a valid PimEvent returns a const pointer to the current PimEvent. Otherwise returns 0.

### const PimEvent * DateBookIterator::operator* () const

If the iterator is at a valid PimEvent returns a const pointer to the current PimEvent. Otherwise returns 0.

### const PimEvent * DateBookIterator::operator++ ()

Sets the iterator to the next item of the data. If the iterator is moved pass the end of the list returns 0. Otherwise returns a const pointer to the current PimEvent.

### DateBookIterator & DateBookIterator::operator= ( const DateBookIterator & other )

Sets the iterator to be a copy of other.

### const PimEvent * DateBookIterator::toFirst ()

Sets the iterator to the first item of the data. If a PimEvent exists in the data will return a const pointer to the PimEvent. Otherwise returns 0.

### const PimEvent * DateBookIterator::toLast ()

Sets the iterator to the last item of the data. If a PimEvent exists in the data will return a const pointer to the PimEvent. Otherwise returns 0.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.